cmake_minimum_required(VERSION 3.25)

project(FESA VERSION 0.1.0 LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

include(cmake/FesaDependencies.cmake)

enable_testing()

add_subdirectory(src/fesa)
add_subdirectory(tests)
